---
search:
  tags:
    - V1
    - GET
seo:
  description: >-
    List the cases of a published version (default:… Reference for the GET
    /v1/projects/{projectId}/test-suites/{testSuiteId}/cases endpoint in the
    Judgeval API.
sidebar:
  label: List test cases in a version or the draft
  badge: GET
title: List test cases in a version or the draft
type: openapi-operation
---
List the cases of a published version (default: the latest), or of the draft with version='draft'.

`GET /v1/projects/{projectId}/test-suites/{testSuiteId}/cases`

**Responses**

- `200` — Response for status 200
- `404` — Response for status 404
- `409` — Response for status 409
- `422` — Response for status 422

Response example, 200:

```json
{
  "version": 0,
  "draft": true,
  "cases": [
    {
      "case_id": "c74269e5-1f97-4e20-9164-ffbe3494d8d6",
      "name": "string",
      "input": null,
      "expected": {},
      "tags": [
        "string"
      ],
      "metadata": {},
      "version_added": 0
    }
  ],
  "judge_names": {},
  "next_offset": 0
}
```
